# Uses of Interface
org.apache.zookeeper.inspector.manager.ZooInspectorNodeManager

Packages that use ZooInspectorNodeManager
Package
Description
org.apache.zookeeper.inspector.gui
org.apache.zookeeper.inspector.gui.nodeviewer
org.apache.zookeeper.inspector.manager

## Uses of ZooInspectorNodeManager in org.apache.zookeeper.inspector.gui

Constructors in org.apache.zookeeper.inspector.gui with parameters of type ZooInspectorNodeManager
Modifier
Constructor
Description
``
`ZooInspectorNodeViewersPanel(ZooInspectorNodeManager zooInspectorManager, List<ZooInspectorNodeViewer> nodeViewers)`

## Uses of ZooInspectorNodeManager in org.apache.zookeeper.inspector.gui.nodeviewer

Methods in org.apache.zookeeper.inspector.gui.nodeviewer with parameters of type ZooInspectorNodeManager
Modifier and Type
Method
Description
`void`
NodeViewerACL.`setZooInspectorManager(ZooInspectorNodeManager zooInspectorManager)`
`void`
NodeViewerData.`setZooInspectorManager(ZooInspectorNodeManager zooInspectorManager)`
`void`
NodeViewerMetaData.`setZooInspectorManager(ZooInspectorNodeManager zooInspectorManager)`
`abstract void`
ZooInspectorNodeViewer.`setZooInspectorManager(ZooInspectorNodeManager zooInspectorManager)`

## Uses of ZooInspectorNodeManager in org.apache.zookeeper.inspector.manager

Subinterfaces of ZooInspectorNodeManager in org.apache.zookeeper.inspector.manager
Modifier and Type
Interface
Description
`interface`
`ZooInspectorManager`
A Manager for all interactions between the application and the Zookeeper instance
Classes in org.apache.zookeeper.inspector.manager that implement ZooInspectorNodeManager
Modifier and Type
Class
Description
`class`
`ZooInspectorManagerImpl`
A default implementation of `ZooInspectorManager` for connecting to zookeeper instances